List allowed inbound email senders
Returns the selected Agent's inbound email access list and current policy mode.
OpenAPI
````yaml get /api/v2/email/inboundWhitelist
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/email/inboundWhitelist:
get:
tags:
- Inbound Email
summary: List allowed inbound email senders
description: >
Returns the selected Agent's inbound email access list and current
policy mode.
operationId: inboundWhitelistGetIndex
parameters: []
responses:
'200':
description: Allowed inbound email senders
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
mode:
type: string
enum:
- allowlist
- open
whitelist:
type: array
items:
type: object
properties:
email:
type: string
format: email
label:
type: string
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
